BOTCH-GRAPH-SHORTEST-PATH(1)

NAME
botch-graph-shortest-path - find the shortest path(s) between two vertices of a graph in GraphML or dot format

SYNOPSIS

botch-graph-shortest-path [options] --source SOURCE [--source SOURCE ...] --target TARGET [--target TARGET ...] [ingraph] [outgraph]

DESCRIPTION
Extract the subgraph of the shortest path between two specific nodes in the input graph.

The --target and --source options are mandatory and can be specified more than once.

If either (or both) of the positional arguments is/are omitted, then read GraphML or dot from standard input and/or write GraphML or dot to standard output, respectively. Passing a '-' as either argument, explicitly specifies to read the input from standard input and write the output to standard output, respectively.

The input graph type will be determined automatically. If the output graph is given as a filename, then the output type will be GraphML if the filename ends with .xml and dot if the filename ends with .dot. If the output is done on standard output then it will happen in the same format as the input graph.

OPTIONS

-h, --help
    Display help.

--target=TARGET
    This option picks the target vertex. The TARGET argument is a key/value pair (separated by a colon) of a graph attribute and its desired value. If more than one vertex matches the given key/value pair, then the smallest (by node comparison) is chosen.

    The special key "__ID__" allows one to select the unique vertex identifier.

    This option can be specified more than once. The final set of vertices is chosen such that all vertices match all key/value pairs. Multiple --target options thus form a logical conjunction (they are AND-ed together).

--source=SOURCE
    This option picks the source vertex. The SOURCE argument is a key/value pair (separated by a colon) of a graph attribute and its desired value. If more than one vertex matches the given key/value pair, then the smallest (by node comparison) is chosen.

    The special key "__ID__" allows one to select the unique vertex identifier.

    This option can be specified more than once. The final set of vertices is chosen such that all vertices match all key/value pairs. Multiple --source options thus form a logical conjunction (they are AND-ed together).

--all
    instead of finding an arbitrary shortest path, find all shortest paths

-v, --verbose
    Be verbose.

EXAMPLE
Extract the subgraph of the shortest path from a certain version of the build-essential binary vertex to a certain version of the ghc source vertex.

  botch-graph-shortest-path --source name:build-essential --source version:11.7 --source type:bin --target name:ghc --target version:7.8.4-8 --target type:src < in.xml > out.xml

or giving input and output as positional arguments:

  botch-graph-shortest-path --source name:build-essential --source version:11.7 --source type:bin --target name:ghc --target version:7.8.4-8 --target type:src in.xml out.xml

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.